Bug 53018 - RFE: Add ISC DHCP client to ifup
Summary: RFE: Add ISC DHCP client to ifup
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL: http://www.isc.org/products/DHCP/
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-01 21:28 UTC by kenneth_porter
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-01 21:29:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kenneth_porter 2001-09-01 21:28:58 UTC
ifup and ifdown now handle pump and dhcpcd, using whichever client is 
installed, giving preference to pump. It would be nice if the scripts 
also permitted the use of the new ISC reference client dhclient. An RPM 
for this client is available from ISC's DHCP webpage.

Comment 1 Bill Nottingham 2001-09-02 04:46:49 UTC
As we don't currently ship dhclient, we wouldn't add support to the scripts for it.

Comment 2 kenneth_porter 2001-09-05 23:45:01 UTC
The latest DHCP RPM, dhcp-3.0rc12-2cra.src.rpm, will patch ifup and ifdown for dhclient support.

Note that Red Hat DOES ship an older ISC DHCP server, version 2. The newest server (version 3) ships with dhclient, sharing the same code base. The client and server are packaged as two subpackages of the common dhcp source RPM.


Note You need to log in before you can comment on or make changes to this bug.